aboutsummaryrefslogtreecommitdiff
path: root/your_bittorrent.sh
diff options
context:
space:
mode:
Diffstat (limited to 'your_bittorrent.sh')
-rwxr-xr-xyour_bittorrent.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/your_bittorrent.sh b/your_bittorrent.sh
new file mode 100755
index 0000000..60315cc
--- /dev/null
+++ b/your_bittorrent.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# DON'T EDIT THIS!
+#
+# CodeCrafters uses this file to test your code. Don't make any changes here!
+#
+# DON'T EDIT THIS!
+set -e
+
+tmpFile=$(mktemp)
+
+( cd $(dirname "$0") &&
+ go build -o "$tmpFile" ./cmd/mybittorrent )
+
+exec "$tmpFile" "$@"